Skip to main content
PUT
/
conversations
/
{id}
/
tags
Replace the full set of tag assignments
curl --request PUT \
  --url https://api.awardee.dev/v1/conversations/{id}/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tag_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "object": "<string>",
  "total": 0,
  "page": 0,
  "page_size": 0,
  "data": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "color": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Body

application/json
tag_ids
string<uuid>[]
required

Response

Tags after replace

object
string
required
Allowed value: "list"
total
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
page_size
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
data
object[]
required